## org.eclipse.amp.escape.ascape.view
Class EditPartFactoryScapeView

    java.lang.Object
      org.ascape.model.event.DefaultScapeListener
          org.eclipse.amp.escape.ascape.view.ModelScapeView
              org.eclipse.amp.escape.ascape.view.EditPartFactoryScapeView

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, org.ascape.model.event.ScapeListener, org.ascape.util.HasName, org.eclipse.core.runtime.IAdaptable

Direct Known Subclasses:
  EditPartScapeView, GEFView

    public abstract class EditPartFactoryScapeView

extends ModelScapeView

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.event.DefaultScapeListener
`scape`

Constructor Summary
`EditPartFactoryScapeView(java.lang.String primaryID, java.lang.String secondaryID, java.lang.String name)`

Method Summary
`ModelInput` `createInput()`
`java.lang.Object` `getAdapter(java.lang.Class key)`
`org.eclipse.gef.RootEditPart` `getRootPart()`

Methods inherited from class org.eclipse.amp.escape.ascape.view.ModelScapeView
`getModel, getName, scapeAdded, toString`

Methods inherited from class org.ascape.model.event.DefaultScapeListener
`clone, environmentQuiting, getScape, isGraphic, isLifeOfScape, isNotifyScapeAutomatically, notifyScapeUpdated, scapeClosing, scapeDeserialized, scapeInitialized, scapeIterated, scapeNotification, scapeRemoved, scapeSetup, scapeStarted, scapeStopped, setName, setNotifyScapeAutomatically`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditPartFactoryScapeView

    public EditPartFactoryScapeView(java.lang.String primaryID,
                                    java.lang.String secondaryID,
                                    java.lang.String name)

Method Detail

### createInput

    public ModelInput createInput()

  Overrides:
    `createInput` in class `ModelScapeView`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class key)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Overrides:
    `getAdapter` in class `ModelScapeView`

### getRootPart

    public org.eclipse.gef.RootEditPart getRootPart()